Summary: Exploring Conway's Game of Life and other cellular automata
Name:    golly
Version: 1.4
Release: alt2

License: GPL
Url:     http://%name.sourceforge.net/
Source:  http://garr.dl.sourceforge.net/sourceforge/%name/%name-%version-src.tar.gz
Source1: %name.sh
Source2: %name.desktop
Group:   Education
Packager: Fr. Br. George <george@altlinux.ru>

# TODO: desktop!
# TODO: icons!
# TODO: SEGFAULT at exit
# TODO: split binary and data
%add_python_req_skip glife golly

Patch:  %name-1.3-opensave-alt.patch
Patch1: %name-1.3-perl_syntax-alt.patch
%ifarch x86_64
Patch2:	%name-1.3-x64.patch
%endif
Patch3:	%name-gcc43.patch

# Automatically added by buildreq on Sun Feb 17 2008
BuildRequires: gcc-c++ perl-devel python-devel wxGTK-devel zlib-devel ImageMagick desktop-file-utils

%description
Welcome to Golly, a sophisticated tool for exploring Conway's
Game of Life and other cellular automata.

- Unbounded universe (limited only by memory).
- Fast, memory-efficient conventional algorithm.
- Use hashing to see large patterns evolve at huge time scales.
- Responsive even while generating or garbage collecting.
- Reads RLE, Life 1.05/1.06, dblife, and macrocell formats.
- Can also read common graphic formats: BMP, PNG, GIF, TIFF.
- Includes a state-of-the-art pattern collection.
- Supports other Life-like rules and Wolfram's 1D rules.
- Fast loading of large patterns.
- Paste in patterns from the clipboard.
- Unlimited undo/redo.
- Unbounded zooming out for astronomical patterns.
- Auto fit option keeps a generating pattern within view.
- Full screen option (no menu/status/tool/scroll bars).
- Supports multiple layers, including cloned layers.
- HTML-based help with integrated Life Lexicon.
- Scriptable via Perl or Python.
- User-configurable keyboard shortcuts.
- Free, open source and cross-platform (Windows, Mac, Linux).
- We also provide bgolly, a GUI-less version.

%prep
%setup -n %name-%version-src
%patch -p0
%patch1 -p0
%ifarch x86_64
#patch2 -p0
%endif
%patch3 -p1
find . -name ".??*" | xargs rm

%build
make -f makefile-gtk

%install
make -f makefile-gtk bindist
mkdir -p %buildroot%_datadir %buildroot%_bindir %buildroot%_miconsdir %buildroot%_niconsdir %buildroot%_liconsdir %buildroot%_desktopdir
cp -a %name-%version-gtk %buildroot%_datadir/%name
install -m755 -s %buildroot%_datadir/%name/%name %buildroot%_bindir/%name.bin
install -m755 -s %buildroot%_datadir/%name/b%name %buildroot%_bindir/b%name
rm -f %buildroot%_datadir/%name/%name %buildroot%_datadir/%name/b%name %buildroot%_datadir/%name/README %buildroot%_datadir/%name/LICENSE
install -m755 %SOURCE1 %buildroot%_bindir/%name
convert appicon16.ico %buildroot%_miconsdir/%name.png
convert appicon32.ico %buildroot%_niconsdir/%name.png
convert appicon48.ico %buildroot%_liconsdir/%name.png

desktop-file-install --dir %buildroot%_desktopdir --vendor="" %SOURCE2

%files
%doc CHANGES LICENSE README TODO
%_bindir/*
%_datadir/%name
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png
%_desktopdir/*

%changelog
* Tue Nov 18 2008 Fr. Br. George <george@altlinux.ru> 1.4-alt2
- x32 fix

* Tue Oct 28 2008 Fr. Br. George <george@altlinux.ru> 1.4-alt1
- Version up

* Sun Feb 17 2008 Fr. Br. George <george@altlinux.ru> 1.3-alt1
- Initial build from scratch

